#include <bits/stdc++.h>
using namespace std;
int main(int argc, char** argv) {
	
	int n,h,rez;
	cin>>n>>h;
	vector<int> a(n);
	for (int i=0;i<n;i++){
		cin>>a[i];
	}
	for (int i=0;i<n;i++){
		if (a[i]<=h){
			cout<<i+1<<'\n';
			return 0;
		}
	}
	cout<<"-1\n";
	
	return 0;
}